# emacs-mode: -*- python-*-
'\nfirmware.prefix_name \nfirmware.suffix_name \nfirmware.phone_model\nfirmware.main_cpu_type \nfirmware.main_cpu_arm \nfirmware.main_cpu_speed \n\n'
import sysinfo
mapping_firmware = {'RM-51': ['3230',
           '32-bit RISC',
           'ARM-9',
           123000],
 'RM-52': ['3230b',
           '32-bit RISC',
           'ARM-9',
           123000],
 'RM-38': ['3250',
           '32-bit RISC',
           'ARM-9',
           104000],
 'RM-40': ['3250b',
           '32-bit RISC',
           'ARM-9',
           104000],
 'NHM-10': ['3600',
            '32-bit RISC',
            'ARM-9',
            104000],
 'NAM-1': ['3610',
           '32-bit RISC',
           'ARM-9',
           104000],
 'NHM-10X': ['3620',
             '32-bit RISC',
             'ARM-9',
             104000],
 'NHL-8': ['3650',
           '32-bit RISC',
           'ARM-9',
           104000],
 'NHL-8X': ['3660',
            '32-bit RISC',
            'ARM-9',
            104000],
 'RM-86': '5500d',
 'RM-87': '5500',
 'RM-230': ['5700',
            '32-bit RISC',
            'ARM-11',
            369000],
 'RM-302': ['5700b',
            '32-bit RISC',
            'ARM-11',
            369000],
 'NSE-3': '6110',
 'RM-122': '6110n-1',
 'RM-186': '6110n-5',
 'NSC-3': '6120',
 'RM-243': ['6120c-1',
            '32-bit RISC',
            'ARM-11',
            369000],
 'RM-310': ['6120c-5',
            '32-bit RISC',
            'ARM-11',
            369000],
 'RM-308': ['6121c',
            '32-bit RISC CPU',
            'ARM-11',
            369000],
 'RM-25': ['6260',
           '32-bit RISC',
           'ARM-9',
           123000],
 'RM-29': ['6260b',
           '32-bit RISC',
           'ARM-9',
           123000],
 'RM-176': ['6290',
            'Freescale MXC-300-xx',
            'ARM-11',
            369000],
 'RM-175': ['6290b',
            'Freescale MXC-300-xx',
            'ARM-11',
            369000],
 'NHL-10': ['6600',
            '32-bit RISC',
            'ARM-9',
            104000],
 'NHL-12': ['6620',
            '32-bit RISC',
            'ARM-9',
            150000],
 'NHL-12X': ['6620',
             '32-bit RISC',
             'ARM-9',
             150000],
 'RM-1': ['6630',
          'TI OMAP 1710',
          'ARM-926',
          220000],
 'RM-109': ['6631',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RH-67': ['6670',
           '32-bit RISC',
           'ARM-9',
           123000],
 'RH-68': ['6670b',
           '32-bit RISC',
           'ARM-9',
           123000],
 'RM-36': ['6680',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-57': ['6681',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-58': ['6682',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RH-51': ['7610',
           '32-bit RISC',
           'ARM-9',
           123000],
 'RH-52': ['7610b',
           '32-bit RISC',
           'ARM-9',
           123000],
 'NHL-2NA': ['7650',
             '32-bit RISC',
             'ARM-9',
             104000],
 'RM-170': ['E50-1',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-171': ['E50-2',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-244': 'E51-1',
 'RM-49': ['E60-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-89': ['E61-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-227': 'E61i-1',
 'RM-294': 'E61i-2',
 'RM-88': ['E62-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-88A': ['E62-1',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-437': ['E63-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-208': ['E65-1',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-10': ['E70-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-24': ['E70-2',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'NEM-4': ['N-Gage',
           '32-bit RISC',
           'ARM-9',
           104000],
 'RH-29': ['N-Gage QD (asia/europe)',
           '32-bit RISC',
           'ARM-9',
           104000],
 'RH-47': ['N-Gage QD (americas)',
           '32-bit RISC',
           'ARM-9',
           104000],
 'RM-84': ['N70-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-99': ['N70-5',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-67': ['N71-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-112': ['N71-5',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-180': ['N72-5',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-133': ['N73-1',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-132': ['N73-5',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-128': ['N75-3',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-135': ['N76-1',
            '32-bit RISC',
            'ARM-11',
            369000],
 'RM-149': ['N76-5',
            '32-bit RISC',
            'ARM-11',
            369000],
 'RM-194': ['N77-1',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-195': ['N77-2 or N77-5',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-92': ['N80-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-93': ['N80-2',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-91': ['N80-3',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-179': 'N81-1',
 'RM-223': 'N81-3',
 'RM-256': 'N81-5',
 'RM-42': ['N90-1',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-43': ['N91-1 or N91-2',
           'TI OMAP 1710',
           'ARM-926',
           220000],
 'RM-158': ['N91-5 or N91-6',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-100': ['N92-1',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-101': ['N92-2',
            'TI OMAP 1710',
            'ARM-926',
            220000],
 'RM-55': ['N93-1',
           'TI OMAP 2420',
           'ARM-11',
           330000],
 'RM-153': ['N93-5',
            'TI OMAP 2420',
            'ARM-11',
            330000],
 'RM-156': ['N93i-1',
            'TI OMAP 2420',
            'ARM-11',
            330000],
 'RM-157': ['N93i-5',
            'TI OMAP 2420',
            'ARM-11',
            330000],
 'RM-159': ['N95-1',
            'TI OMAP 2420',
            'ARM-11',
            330000],
 'RM-160': ['N95-3',
            'TI OMAP 2420',
            'ARM-11',
            330000],
 'RM-245': ['N95-5',
            'TI OMAP 2420',
            'ARM-11',
            330000],
 'RM-320': ['N95-2 8GB',
            'TI OMAP 2420',
            'ARM-11',
            330000],
 'RA-6': ['E90-1',
          'TI OMAP 2420',
          'ARM-11',
          330000],
 'RA-7': ['E90',
          'TI OMAP 2420',
          'ARM-11',
          330000]}
mapping_prefix_description = {'N': 'Mobile Phone',
 'R': 'Computing Device',
 'T': 'Terminal'}
mapping_suffix_description = {'B': 'GSM 900/1900',
 'C': 'DAMPS 800',
 'D': 'CDMA/AMPS 800',
 'E': 'GSM 900/1800',
 'F': 'NMT-450',
 'K': 'GSM 1800',
 'L': 'GSM 900/1800/1900 or GSM 850/1800/1900',
 'M': 'EGSM 900/1800 (may include WCDMA)',
 'N': 'IEEE 802.11b',
 'P': 'CDMA 800',
 'W': 'AMPS/TDMA 800/1900',
 'X': 'ETACS/TACS'}
sw = sysinfo.sw_version()
sw_list = sw.split(' ')
if sw[0].isalpha():
    firmware_version = sw_list[1]
    firmware_date = sw_list[2]
    firmware_code = sw_list[3]
else:
    firmware_version = sw_list[0]
    firmware_date = sw_list[1]
    firmware_code = sw_list[2]
temp = firmware_code.split('-')
firmware_prefix = temp[0][0]
firmware_suffix = temp[0][-1]
prefix_name = mapping_prefix_description[firmware_prefix]
suffix_name = mapping_suffix_description[firmware_suffix]
if isinstance(mapping_firmware[firmware_code], list):
    phone_model = mapping_firmware[firmware_code][0]
    main_cpu_type = mapping_firmware[firmware_code][1]
    main_cpu_arm = mapping_firmware[firmware_code][2]
    main_cpu_speed = mapping_firmware[firmware_code][3]
else:
    phone_model = mapping_firmware[firmware_code]
    main_cpu_type = 'Unknown'
    main_cpu_arm = 'Unknown'
    main_cpu_speed = None

# local variables:
# tab-width: 4
